.summary-card {
	display: flex;
	flex-direction: column;

	border: 2px solid var(--bg-color);
	overflow: hidden;
	overflow: clip;
	height: auto !important;
	padding: 0px !important;

	--sc-color: var(--text-muted);
	user-select: none;
	font-size: var(--text-base);

	&[data-state="no-data"],
	&.edit-mode {
		overflow: visible !important;
	}

	&[data-state="empty"]:not(.edit-mode) {
		display: none !important;
		.ce-block:has(&) {
			display: none;
		}
	}

	&.edit-mode {
		box-shadow: var(--shadow-xs);
	}

	/* Freeze message */
	.summary-card__freeze {
		padding: 1em;
	}
	&[data-state="ok"] .summary-card__freeze {
		display: none;
	}
	&[data-state="error"] .summary-card__freeze {
		color: var(--alert-text-danger);
	}

	&[data-state="loading"] {
		cursor: wait;
		position: relative;

		.summary-card__freeze {
			position: absolute;
			inset: 0;
			display: flex;
			align-items: center;
			justify-content: center;
			text-align: center;
			color: var(--text-muted);
			text-shadow: 1px 0 2px var(--fg-color);
			z-index: 1;
			font-weight: bold;

			&::before {
				content: "";
				position: absolute;
				inset: 0;
				background-color: var(--fg-color);
				opacity: 0.5;
				z-index: -1;
			}
		}
		.sc-body,
		.sc-header {
			filter: blur(1px);
			text-shadow: 3px 0px 1px currentColor;
			.sc-label,
			.sc-badge,
			.sc-icon,
			.sc-arrow,
			.sc-button {
				filter: blur(4px);
			}
		}

		/* hide skeleton for a moment */
		animation: loading 0.5s;
	}
}

@keyframes loading {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}

.sc-body {
	display: flex;
	flex-direction: column;
}

.summary-card__primary-button {
	display: flex;
	gap: 4px;
	align-items: center;
}

/* SCArrow */

.sc-arrow,
.sc-icon {
	height: 100%;
	min-width: 2em;
	display: flex;
	align-items: center;
	justify-content: center;

	color: var(--sc-color, currentColor);

	.fonticon {
		color: var(--sc-color, currentColor);
		--icon-fill: var(--sc-color, currentColor);
	}
	.icon:not(.fonticon) {
		--icon-stroke: currentColor;
	}
}

.sc-section__header .sc-arrow {
	transition: transform 200ms ease;
}

.sc-section__header[aria-expanded="false"] .sc-arrow {
	transform: rotate(-90deg);
}

/* SCBadge */

.sc-badge {
	margin: 4px;
	padding: 0.25em 0.5em;
	min-width: 1.5em;
	line-height: 1;

	font-variant-numeric: proportional-nums;
	font-weight: 500;
	color: var(--sc-color, var(--alert-text-info));

	text-align: center;
	border-radius: 99px;
	position: relative;
}

.sc-badge::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border-radius: inherit;
	background-color: currentColor;
	opacity: 0.2;
}

/* SCButton */

.summary-card .sc-button {
	/* spacing and rounding */
	line-height: 1;
	padding: 0.25em 0.5em;
	border-radius: 99px;

	/* colors */
	background-color: var(--alert-text-info);
	color: var(--bg-color);
	--icon-stroke: currentColor;
	font-weight: 500;
	stroke-width: 1.5;

	/* button */
	cursor: pointer;
	user-select: none;
	text-decoration: none !important;

	/* container for icon and label */
	display: flex;
	flex-direction: row;
	gap: 0.25em;
	position: relative;

	/* transition */
	transition: all 0.25s ease;
}

.sc-button:hover,
.sc-button:focus-visible {
	background-color: var(--primary);
	box-shadow: var(--shadow-md);
	stroke-width: 2;
}

/* _SCHeader */

.sc-header {
	background-color: var(--bg-color);
	flex: 1 1 auto;
}

.sc-header .sc-label {
	font-size: 1.1em;
	font-weight: 600;
	user-select: none;
}
a.sc-label {
	text-decoration: none;
	cursor: pointer;
}

.sc-header > .sc-header__actions {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	margin-left: 0.5ch;
}

.summary-card.edit-mode .sc-header > .sc-header__actions {
	display: none;
}

/* SCPill */

.sc-link-pill {
	/* spacing and rounding */
	line-height: 1;
	padding: 0.25em 0.5em;
	border-radius: 99px;

	/* border and text color */
	border: 1px solid currentColor;
	color: var(--text-color);
	--icon-stroke: currentColor;
	background-color: var(--fg-color);
	font-weight: 500;
	stroke-width: 1.5;

	/* button */
	cursor: pointer;
	user-select: none;
	text-decoration: none !important;

	/* container for icon and label */
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: 4px;
	position: relative;

	/* transition */
	transition: all 0.25s ease;
}

.sc-link-pill::before {
	/* background color on hover */
	position: absolute;
	display: block;
	content: "";
	inset: 0px;
	border-radius: inherit;
	background-color: currentColor;
	opacity: 0.05;
}

.sc-link-pill.sc-foryou-like {
	color: var(--pink);
}

.sc-link-pill.sc-foryou-assign {
	color: var(--cyan);
}

.sc-link-pill .es-line use {
	stroke-width: 0.5px !important;
	stroke: var(--icon-stroke) !important;
}

.sc-link-pill[data-count="0"] {
	display: none;
	/* note: the backend doesn't return pills with 0 count */
}

.sc-link-pill:hover,
.sc-link-pill:focus-visible {
	box-shadow: 0 0 0 1px currentColor;
	stroke-width: 2;
}

.sc-link-pill:hover::before,
.sc-link-pill:focus-visible::before {
	opacity: 0.1;
}

.sc-link-pill:hover .icon,
.sc-link-pill:focus-visible .icon {
	animation: jiggle 0.5s ease;
}

@keyframes jiggle {
	0% {
		transform: scale(1);
	}

	25% {
		transform: scale(1.05) rotate(5deg);
	}

	50% {
		transform: scale(0.9) rotate(-5deg);
	}

	75% {
		transform: scale(1.025) rotate(0.5deg);
	}

	100% {
		transform: scale(1);
	}
}

/* _SCSection */

.sc-row {
	display: flex;
	flex-direction: row;
	align-items: center;
	height: 2em;
	gap: 0px;
}

.sc-row > div {
	// display: flex;
	// flex-direction: row;
	// align-items: center;
	flex-shrink: 0;
}

.sc-row > .sc-label {
	flex-shrink: 1;
	flex-grow: 1;

	/* required for ellipsis */
	min-width: 0;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.sc-row[data-count="0"] {
	opacity: 0.5;
}

.sc-section__header {
	display: flex;
	flex-direction: row;
	align-items: center;

	font-size: 1em;
	height: 1.5em;
	font-weight: 500;

	cursor: pointer;
	background: var(--bg-color);
}

button.sc-section__header {
	border: none;
	width: 100%;
	padding: 0;
	margin: 0;
	outline: 0;
	text-align: inherit;
	color: inherit;
}

.sc-section__header,
.sc-row {
	&:focus-visible {
		box-shadow: inset 0 0 0 2px var(--primary);
	}
}

.sc-link {
	cursor: pointer;
	position: relative;
	text-decoration: none !important;
}

.sc-link::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;

	background-color: var(--sc-color, var(--bg-color));
	opacity: 0;
	transition: opacity 300ms ease;
}

.sc-link:hover::before,
.sc-link:focus::before {
	opacity: 0.2;
}

.sc-link.sc-icon-first {
	flex-flow: row-reverse;
	/* padding-left: 0.5em; */
}

/* for you */
.sc-foryou > .sc-row {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	align-items: center;
	padding: 4px 4px;
	gap: 4px;
	height: auto;
	background: var(--bg-color);
}

.sc-foryou-like {
	color: var(--pink);
}

.sc-foryou-assign {
	color: var(--cyan);
}

.sc-separator {
	border-top: 2px solid var(--text-color);
	margin: 2px 0px;
	opacity: 0.2;
}
